package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface PortletBusiness {
	
	List<Map<String, Object>> listBaseApps(Map<String, Object> query) throws BusinessException;
	
	void insert_portlet_template(Map<String,Object> entity) throws BusinessException ;

    void update_portlet_template(Map<String,Object> entity) throws BusinessException ;
    
    void delete_portlet_template(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_portlet_template(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_template(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_template_by_user(Map<String, Object> query) throws BusinessException ;
    
    int listCount_portlet_template(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_mytemplate_notall(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_mytemplate_all(Map<String, Object> query) throws BusinessException ;
    
    void insert_portlet_setup(Map<String,Object> entity) throws BusinessException ;

    void update_portlet_setup(Map<String,Object> entity) throws BusinessException ;
    
    void delete_portlet_setup(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_portlet_setup(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_setup(Map<String, Object> query) throws BusinessException ;
    
    int listCount_portlet_setup(Map<String, Object> query) throws BusinessException ;

}
